#include <stdio.h>
#if defined(i386) 
#include <unistd.h>
#endif 

unsigned square(unsigned s) {
#if defined(i386) 
    sleep(1); 
#else 
    volatile int j=0;
    for (unsigned i=1; i<10000000; i++) j++;
#endif 
  return s*s;
}

int main() {
  for (unsigned i=0; i<2; i++) {
    for (unsigned s=0; s<10; s++) {
      printf("square(%d, %d)\n", s, square(s));
    }
  }
}
